prerm is in plymouth-theme-breeze 5.12.4-0ubuntu1.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 | #!/bin/sh -e
error()
{
RET=$?
MSG=$1
echo "E: $MSG";
exit $RET
}
case "$1" in
remove)
update-alternatives --remove \
default.plymouth /lib/plymouth/themes/breeze/breeze.plymouth ||
update-alternatives --remove \
default.plymouth /usr/share/plymouth/themes/breeze/breeze.plymouth ||
error "Failed to update-alternatives"
update-alternatives --remove \
text.plymouth /lib/plymouth/themes/breeze-text/breeze-text.plymouth ||
update-alternatives --remove \
text.plymouth /usr/share/plymouth/themes/breeze-text/breeze-text.plymouth ||
error "Failed to update-alternatives text.plymouth"
if which update-initramfs >/dev/null 2>&1; then
update-initramfs -u || error "Failed to update-initramfs"
fi
if [ -e /boot/grub/grub.cfg ] && which update-grub2 >/dev/null 2>&1; then
update-grub2 || error "Failed to update-grub2"
fi
;;
purge)
;;
upgrade|failed-upgrade|disappear)
;;
abort-install|abort-upgrade)
;;
*)
echo "$0 called with unknown argument \`$1'" 1>&2
exit 1
;;
esac
exit 0
|